"""
CGI-Tools Python Package
Copyright (C) 2016 Assaf Gordon (assafgordon@gmail.com)
License: BSD (See LICENSE file)
"""

from .system import force_C_locale, set_resource_limits, \
                    run_cmd_list, check_run_cmd_list

from .http_responses import http_bad_request_error, http_server_error, \
                            http_error, log, set_app_code

from .validators import valid_regex, valid_int, valid_float, valid_in_list

from .params import save_cgi_file_param, get_cgi_first_non_empty_param

# Try to load the version string.
# the 'version.py' file is auto-generated by 'setup.py'.
# if it is not found, this module is being used without
# proper installation.
try:
    from .version import __version__
except ImportError as e:
    __version__ = "0.0.0+BAD.VERSION"
